﻿@model AddEditCategoryViewModel
@{
    var categories = (SelectList)ViewBag.Categories;
    var isProductCat = ViewBag.TitleType == "دسته بندی محصول";
}

@Html.Style(@<link href="~/Plugins/select2/dist/css/select2.min.css" rel="stylesheet" />)
@Html.Style(@<link href="~/Plugins/jQuery-Tags-Input/dist/jquery.tagsinput.min.css" rel="stylesheet" />)


<div class="col-12">
    <div class="box box-info">
        <div class="box-header with-border">
            <h4 class="box-title">@ViewBag.Title</h4>
        </div>
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-horizontal">
            <div class="box-body">
                <div class="row">
                    <div class="@(isProductCat ? "col-8" : "col-12")">
                        @(Html.LocalizedEditor<AddEditCategoryViewModel, CategoryLocalizedViewModel>("category-info-localized",
                                                                                                                                        @<div class="div_tab">
                                                                                                                                            <div class="col-6">
                                                                                                                                                @Html.BsTextBoxFor(model => model.Locales[item].Name, "fa fa-h-square", lable_col: 3, editor_col: 9)
                                                                                                                                                @Html.BsTextBoxFor(model => model.Locales[item].Url, "fa fa-internet-explorer", lable_col: 3, editor_col: 9)
                                                                                                                                            </div>
                                                                                                                                            <div class="col-6">
                                                                                                                                                @Html.BsTextBoxFor(model => model.Locales[item].MetaKeywords, "fa fa-key")
                                                                                                                                                @Html.BsTextAreaFor(model => model.Locales[item].MetaDescription, "fa fa-file-text-o")
                                                                                                                                            </div>
                                                                                                                                            <div style="display:none;" id="div_@Html.IdFor(model => model.Locales[item].Description)">@Html.Raw(Model.Locales[item].Description)</div>
                                                                                                                                            @Html.CKEditorFor(model => model.Locales[item].Description, Url.Action("HtmlEditor", "Media", routeValues: new { id = Model.Id }))
                                                                                                                                            @Html.HiddenFor(model => model.Locales[item].LanguageId)
                                                                                                                                            @Html.HiddenFor(model => model.Locales[item].OriginalUrl)
                                                                                                                                        </div>
,
        @<div class="div_tab">
            <div class="col-6">
                @Html.BsTextBoxFor(model => model.Name, "fa fa-h-square", lable_col: 3, editor_col: 9, htmlAttribute: new { @class = "seoValueNotifier" })
                @Html.BsTextBoxFor(model => model.Url, "fa fa-internet-explorer", lable_col: 3, editor_col: 9, htmlAttribute: new { @class = "seoValueNotifier" })
            </div>
            <div class="col-6">
                @Html.BsTextBoxFor(model => model.MetaKeywords, "fa fa-key", lable_col: 3, editor_col: 9, htmlAttribute: new { @class = "seoValueNotifier" })
                @Html.BsTextAreaFor(model => model.MetaDescription, "fa fa-file-text-o", lable_col: 3, editor_col: 9, htmlAttribute: new { @class = "seoValueNotifier" })
            </div>
            <div style="display:none;" id="div_@Html.IdFor(model => model.Description)">@Html.Raw(Model.Description)</div>
            @Html.CKEditorFor(model => model.Description, Url.Action("HtmlEditor", "Media", routeValues: new { id = Model.Id }))
            @Html.HiddenFor(model => model.OriginalUrl)
        </div>
))
                        @Html.BsEditorFor(model => model.ColorHex)
                        @Html.BsEditorFor(model => model.Order)

                        <div class="form-group">
                            <label class="control-label col-sm-2">
                                @Html.DisplayNameFor(model => model.ParentCategoryId)
                            </label>
                            <div class="input-group no-feedback col-sm-4 addOn">
                                @Html.DropDownListFor(m => m.ParentCategoryId, categories, new { @class = "form-control" })
                            </div>
                        </div>
                    </div>
                    @if (isProductCat)
                    {
                        if (Model.RateName.Count == 0)
                        {
                            <div class="col-4">
                                <div class="form-group">
                                    @Html.LabelFor(m => m.RateName)
                                    <input type="text" id="RateName[0]" name="RateName[0]" class="form-control" placeholder="نام رای" />
                                </div>
                                <a class="btn btn-secondary" id="addMoreRateName"><span class="fa fa-plus"></span> افزودن نام رای بیشتر</a>
                            </div>
                        }
                        else
                        {

                            <div class="col-4">
                                <div class="form-group">
                                    @Html.LabelFor(m => m.RateName)
                                    @for (int i = 0; i < Model.RateName.Count; i++)
                                    {
                                        @Html.TextBoxFor(m => m.RateName[i], new { @class = "form-control", placeholder = "نام رای" })
                                    }
                                </div>
                                <a class="btn btn-secondary" id="addMoreRateName"><span class="fa fa-plus"></span> افزودن نام رای بیشتر</a>
                                <a class="btn btn-secondary" id="removeMoreRateName"><span class="fa fa-minus"></span> حذف آخرین نام رای</a>
                            </div>
                        }
                    }
                </div>
            </div>
            <div class="box-footer">
                <input type="submit" onclick="setTreeValues()" value="Submit" class="btn btn-lg btn-success pull-left" />
                @Html.ActionLink("بازگشت به صفحه اصلی", "Index", null, new { @class = "pull-right btn btn-default" })
            </div>
        </div>
    </div>
</div>

@Html.Script(@<script type="text/javascript">
    var metaKeywordsInputElement = $("#@Html.FieldIdFor(model => model.MetaKeywords)");
</script>)

@Html.Script(@<script src="~/Plugins/select2/dist/js/select2.min.js"></script>)
@Html.Script(@<script src="~/Plugins/jQuery-Tags-Input/dist/jquery.tagsinput.min.js"></script>)
@Html.Script(@<script src="~/Scripts/Pages/Category/AddOrEdit.js"></script>)
@if (isProductCat)
{
    @Html.Script(@<script>
                      $(function () {
                          function getRateNameInputCount() {
                              return $("input[id*='RateName']").length;
                          }
                          $('body').on('click', '#addMoreRateName', function () {
                              var blockNo = getRateNameInputCount();
                              $(this).before('<div class="form-group"><input type="text" id="RateName[' + blockNo + ']" name="RateName[' + blockNo + ']" class="form-control" placeholder="نام رای" /></div>');
                              if (blockNo == 1) {
                                  $(this).after('<a class="btn btn-secondary" id="removeMoreRateName"><span class="fa fa-minus"></span> حذف آخرین نام رای</a>');
                              }
                          });
                          $('body').on('click', '#removeMoreRateName', function () {
                              var blockNo = getRateNameInputCount();
                              if (blockNo > 1) {
                                  $("input[id*='RateName']:last").remove();
                              }
                              if (blockNo == 2) {
                                  $(this).remove();
                              }
                          });
                      });
    </script>)
}